package com.seleniumexpress.coupon_app;

import javax.jms.JMSConsumer;
import javax.jms.JMSContext;
import javax.jms.Queue;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory;

public class CouponValidatorApp {

	public static void main(String[] args) throws NamingException, InterruptedException {

		InitialContext context = new InitialContext();
		Queue queue = (Queue) context.lookup("RequestQueue");

		try (ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
				JMSContext jmsContext = conFactory.createContext();
				) {

			JMSConsumer consumer = jmsContext.createConsumer(queue);
			
			consumer.setMessageListener(new CuponCodeListner());
			
			Thread.sleep(15000);
			
		}
	
     
		
		
	}

}




