package com.seleniumexpress.rabbitmq.jms_rabbit;

import java.io.IOException;
import java.util.concurrent.TimeoutException;

import com.rabbitmq.client.CancelCallback;
import com.rabbitmq.client.Channel;
import com.rabbitmq.client.Connection;
import com.rabbitmq.client.ConnectionFactory;
import com.rabbitmq.client.Consumer;
import com.rabbitmq.client.DefaultConsumer;
import com.rabbitmq.client.DeliverCallback;
import com.rabbitmq.client.Delivery;
import com.rabbitmq.client.Envelope;
import com.rabbitmq.client.AMQP.BasicProperties;

public class ConsumerApp2 {

	public static void main(String[] args) throws IOException, TimeoutException {

		ConnectionFactory conFactory = new ConnectionFactory();
		conFactory.setUsername("guest");
		conFactory.setPassword("guest");
		conFactory.setPort(5672);
		conFactory.setVirtualHost("/");
		conFactory.setHost("localhost");

		Connection connection = conFactory.newConnection();

		Channel channel = connection.createChannel();

	
		DeliverCallback deliveryCallBack = (consumerTag,message) -> {
				System.out.println("message is : " + new String(message.getBody()));
				};
	
		
		CancelCallback cancelCallback =(String consumerTag) -> {};
	
		
		channel.basicConsume("test",deliveryCallBack, cancelCallback);

		System.out.println("****terminating the program ******");

	}

}
