package com.seleniumexpress.rabbitmq.jms_rabbit;

import java.io.IOException;
import java.util.concurrent.TimeoutException;

import com.rabbitmq.client.BuiltinExchangeType;
import com.rabbitmq.client.Channel;
import com.rabbitmq.client.Connection;
import com.rabbitmq.client.ConnectionFactory;

//producer
// hello People  -> sat1,sat2
//abc -> sat1,sat2
public class MyFanoutExchangeEx {
	
	
	public static void main(String[] args) throws IOException, TimeoutException {
		
		ConnectionFactory conFactory = new ConnectionFactory();
		Connection connection = conFactory.newConnection();
		Channel channel = connection.createChannel();
		
		//crate an exchange -> myfanoutexchange
		channel.exchangeDeclare("myfanoutexchange", BuiltinExchangeType.FANOUT);
		
		//create a queue sat1
		channel.queueDeclare("sat1", false, false, false, null);
		
		//create a queue sat2
		channel.queueDeclare("sat2", false, false, false, null);
		
		
		
		//bind sat1 with myfanoutexchange
		channel.queueBind("sat1", "myfanoutexchange", "");
		
		
		//bind sat2 with myfanoutexchange
		channel.queueBind("sat2", "myfanoutexchange", "");
		
		
		//publish the message to the exchange -> myfanoutexchange
		channel.basicPublish("myfanoutexchange", "", null, "hello People".getBytes());
		
		
		
		
		
	}

}
