package com.seleniumexpress.practice;

import javax.jms.Destination;
import javax.jms.JMSConsumer;
import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.JMSProducer;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.Queue;
import javax.jms.TextMessage;

import org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory;

public class ConsumerAppExprity {

	public static void main(String[] args) throws JMSException, InterruptedException {

		try (ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
				JMSContext context = conFactory.createContext();) {
			Queue queue = context.createQueue("demo");

			JMSConsumer consumer = context.createConsumer(queue);
			TextMessage message = (TextMessage)consumer.receive();
			
			System.out.println(message.getBooleanProperty("isLoggedin"));
			System.out.println(message.getStringProperty("username"));
			System.out.println(message.getStringProperty("password"));
			
			
			
			System.out.println(((TextMessage)message).getText());
			

		};
		
		
	}

}
