package com.seleniumexpress.practice;

import javax.jms.JMSConsumer;
import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.JMSProducer;
import javax.jms.Message;
import javax.jms.Queue;
import javax.jms.TextMessage;

import org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory;

public class ConsumerAppTestReplayto2 {
	
	public static void main(String[] args) throws JMSException {
		
		try(
		    ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
			JMSContext context = conFactory.createContext();
		  )
		
		{
			//creating a queue for the replay message
			Queue QueueForReplay = context.createQueue("queueForReplayMessage");
			
		  
			Queue queue = context.createQueue("demo");
			JMSConsumer consumer = context.createConsumer(queue);
			
			TextMessage textMessage = (TextMessage)consumer.receive(); // text producer
			
			System.out.println(textMessage.getText());
			
			//replay back
			
			JMSProducer producer = context.createProducer();
			
			System.out.println("Replay should sent to this queue " + textMessage.getJMSReplyTo());
			TextMessage replaymessage = context.createTextMessage("Yes, boss . jms really rocks");
			producer.send(textMessage.getJMSReplyTo(), replaymessage);
			
			
		   
		   
			
		};
	}

}
