package com.seleniumexpress.coupon_app;

import javax.jms.JMSContext;
import javax.jms.JMSProducer;
import javax.jms.Topic;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory;

public class ArtemisTopicProducerExample {

	public static void main(String[] args) throws NamingException {

		InitialContext context = new InitialContext();
		Topic news = (Topic) context.lookup("mytopic");

		try (ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
				JMSContext jmsContext = conFactory.createContext();) {

			JMSProducer producer = jmsContext.createProducer();

			producer.send(news, "hello from the New Agency");

			System.out.println("mesg sent to the topic");

		}
		;

	}

}
