package com.seleniumexpress.listenrs;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.annotation.JmsListener;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.stereotype.Component;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.seleniumexpress.model.BankInfo;

@Component
public class MyBankAppEmailSenderListner {
	
	
	@JmsListener(destination = "test")
	public void reciveMessage(String json) throws JsonMappingException, JsonProcessingException {
		
		
		System.out.println(json);
		
		ObjectMapper objectMapper = new ObjectMapper();
		BankInfo bankInfo = (BankInfo)objectMapper.readValue(json, BankInfo.class);
		
		String email = bankInfo.getEmail();
		System.out.println("sending email to " + email);
		
	}
}
