package com.example.demo.publisher;

import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class MyAppPublisher {

	@Autowired
	private RabbitTemplate rabbitTemplate;
	
	int counter = 0;
	
	@Scheduled(fixedRate = 5000)
	public void publishSomethingToQueue() {
		
		
		counter = counter + 1;
		
		rabbitTemplate.convertAndSend("sat1","RabbitMQ is cool " + counter);
		
		System.out.println("sent message to the queue : " + "RabbitMQ is cool " + counter);
		
	}
}
