package com.example.demo.configuration;


import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.QueueBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.fasterxml.jackson.databind.ObjectMapper;

@Configuration
public class StudentAppConfig {

	@Bean
	public ObjectMapper objectMapper() {
		
		return new ObjectMapper();
	}
	
//	@Bean
//	public Queue sample1() {
//		
//		return new Queue("sample-1", true);
//	}
	@Bean
	public Queue sample3() {
		
		return QueueBuilder
				.nonDurable("sample-3")
				.autoDelete()
				.exclusive()
				.build();
	}
}



