package com.example.demo.controller;

import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class HelloController {

	@Autowired
	private AmqpTemplate amqpTemplate;
	
	@PostMapping("/publish")
	public ResponseEntity publishmesg() {
		
		amqpTemplate.convertAndSend("hello world !!!");
		
		return ResponseEntity.ok("mesg sent to the queue");
		
	}
}
