package com.seleniumexpress.rabbitmq.jms_rabbit;

import java.io.IOException;
import java.util.concurrent.TimeoutException;

import com.rabbitmq.client.Channel;
import com.rabbitmq.client.Connection;
import com.rabbitmq.client.ConnectionFactory;
import com.rabbitmq.client.Consumer;
import com.rabbitmq.client.DefaultConsumer;
import com.rabbitmq.client.Envelope;
import com.rabbitmq.client.AMQP.BasicProperties;

public class Sat1QueueConsumer {

	public static void main(String[] args) throws IOException, TimeoutException {

		ConnectionFactory conFactory = new ConnectionFactory();

		Connection connection = conFactory.newConnection();

		Channel channel = connection.createChannel();

		Consumer consumer = new DefaultConsumer(channel) {
			
			
			@Override
			public void handleConsumeOk(String consumerTag) {
				
				System.out.println("inside handleConsumeOk " +consumerTag);
			}

			@Override
			public void handleDelivery(String consumerTag, Envelope envelope, BasicProperties properties, byte[] body)
					throws IOException {
				
			

				System.out.println("Message recived from the queue " + new String(body));

			
				System.out.println("message consumed..");
				
			}

		};

		channel.basicConsume("sat1",true, consumer);

		System.out.println("****terminating the program ******");

	}

}
