package com.seleniumexpress.practice;

import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.JMSProducer;
import javax.jms.Queue;
import javax.jms.TextMessage;

import org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory;

public class ProducerAppTest {
	
	public static void main(String[] args) throws JMSException {
		
		try(
		    ActiveMQConnectionFactory conFactory = new ActiveMQConnectionFactory();
			JMSContext context = conFactory.createContext();
		  )
		
		{
		   Queue queue = context.createQueue("demo");
			
		   JMSProducer producer = context.createProducer();
		   producer.setPriority(7); //sent
		   
		   TextMessage textMessage = context.createTextMessage("JMS Rock");	   
		   producer.send(queue, textMessage);
		   
		  
		   producer.setPriority(3); //sent
		   TextMessage textMessage1 = context.createTextMessage("JMS Really rocks..");
		   producer.send(queue, textMessage1);
		   
		   producer.setPriority(8); // sent 1st
		   TextMessage textMessage2 = context.createTextMessage("Abhilash P");
		   producer.send(queue, textMessage2);
		   
		   producer.setPriority(2); // sent
		   TextMessage textMessage3 = context.createTextMessage("Abhilash Panigrahi - 2");
		   producer.send(queue, textMessage3);
		   
		   
		   
		   
			
		};
	}

}
