package com.seleniumexpress.jmspublisher;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.ObjectMessage;
import javax.jms.Session;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.jms.core.MessageCreator;
import org.springframework.stereotype.Component;

@Component
public class MyAppJMSPublisher {
	
	@Autowired
	private JmsTemplate jmsTemplate; 
	
	public void sendMessage(String queue,String messString) {
		
		//put the message inside a queue
		
		jmsTemplate.send(queue, new MessageCreator() {
			
			@Override
			public Message createMessage(Session session) throws JMSException {
				
				ObjectMessage objectMessage = session.createObjectMessage(messString);
				
				return objectMessage;
			}
		});
		
	}

}
