package com.example.demo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.example.demo.publisher.MyAppPublisher;

@SpringBootApplication
@EnableScheduling
public class SpringRabbit01Application implements CommandLineRunner{
	
	@Autowired
	MyAppPublisher myAppPublisher;

	public static void main(String[] args) {
		SpringApplication.run(SpringRabbit01Application.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		
		myAppPublisher.publishSomethingToQueue();
		
	}

}
