package com.example.demo;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.example.demo.model.UserDetails;
import com.example.demo.producer.LoginDetailsAppProducer;

@SpringBootApplication
public class SpringRabbitJsonStarterProducerApplication implements CommandLineRunner{
	
	@Autowired
	LoginDetailsAppProducer loginDetailsAppProducer;
	
	public static void main(String[] args) {
		SpringApplication.run(SpringRabbitJsonStarterProducerApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		UserDetails userDetails = new UserDetails();
		userDetails.setEmail("abhilash@gmail.com");
		userDetails.setName("Abhilash Panigrahi");
		
		loginDetailsAppProducer.publishStudentDataToQueue(userDetails);
		
	}

}
