package com.example.demo.producer;

import org.springframework.amqp.core.Message;
import org.springframework.amqp.core.MessageProperties;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.example.demo.model.UserDetails;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;

@Service
public class LoginDetailsAppProducer {

	@Autowired
	private RabbitTemplate rabbitTemplate;
	
	@Autowired
	private ObjectMapper objectMapper;
	
	public void publishStudentDataToQueue(UserDetails userDetails) throws JsonProcessingException {
				
		MessageProperties messageProperties = new MessageProperties();
		messageProperties.setHeader("user", "abhilash");
		messageProperties.setHeader("password", "avi");
		messageProperties.setHeader("blh", "blh");
		
		String jsonvalue = objectMapper.writeValueAsString(userDetails);
		
		Message message = new Message(jsonvalue.getBytes(), messageProperties);
		
		rabbitTemplate.send("my-header-exchange", "" , message);
		
		System.out.println("message sent..");
	}
}
