package com.example.demo.config;

import javax.annotation.PostConstruct;

import org.springframework.amqp.core.AmqpAdmin;
import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.QueueBuilder;
import org.springframework.amqp.rabbit.connection.ConnectionFactory;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;



//@Configuration
public class AppConfiguration {

	
	//@Value("${rabbitmq.default.queueName}")
	private String queueName;
	
	//@Autowired
	private AmqpAdmin amqpAdmin;
	
	
	public Queue queue1() {
		
		return QueueBuilder
				.durable(queueName)
				.build();
		
	}
	
	//@Bean
	public AmqpTemplate amqpTemplate(ConnectionFactory connectionFactory) {
		
		RabbitTemplate rabbitTemplate = new RabbitTemplate();
		rabbitTemplate.setConnectionFactory(connectionFactory);
		rabbitTemplate.setRoutingKey(queueName);
		
		return rabbitTemplate;
		
	}
	
	
	//@PostConstruct
	public void init() {
		
		amqpAdmin.declareQueue(queue1());
		
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
}
