package com.example.demo.controller;

import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

//@RestController
public class DirectMesgController {

	@Autowired
	private AmqpTemplate amqpTemplate;
	
	@PostMapping("/publish/{rk}")
	public ResponseEntity publishmesg(@PathVariable("rk") String routingKey) {
		
		
		
		amqpTemplate.convertAndSend(routingKey, "sending using direct exchange");
		
		return ResponseEntity.ok("mesg sent to the queue");
		
	}
}
