package com.example.demo.controller;

import org.springframework.amqp.core.AmqpTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@Controller
public class TopicExController {

	@Autowired
	private AmqpTemplate amqpTemplate;
	
	
	@PostMapping("/publish/{rk}")
	public ResponseEntity publishMesg(@PathVariable("rk") String rk) {
		
		amqpTemplate.convertAndSend(rk, "Have a great day..");
		
		return ResponseEntity.ok("message has been sent to the dest");
	}


}
